var MainBanners;    // Главный баннерный блок
var LBanners;       // Баннерный блок слева
var RBanners;       // Баннерный блок справа

$(document).ready(function () {
    // Если портал загружен в frame то переносим его в окно
    if (top != self) { top.location.href = location.href; }

    // Вставляем и убираем "значение по умалчению" в поле поиска
    $('input[id$=TextSearch]').attr('value', 'Поиск по сайту');
    $('input[id$=TextSearch]').bind({
        focus: function () {
            if ($(this).attr('value') == 'Поиск по сайту') {
                $(this).attr('value', '');
            }
        },
        blur: function () {
            if ($(this).attr('value') == '') {
                $(this).attr('value', 'Поиск по сайту');
            }
        }
    });

    $(document).keydown(function (e) {
        //alert(e.keyCode);
        if ((e.ctrlKey) && (e.keyCode == 13)) {
            var ErrorText = GetError();
            $('#ErrorText').val(ErrorText);
            $('div.ErrorText').append(ErrorText);
            $('div#ErrorForm').css('display', 'block');
        }
    });

    $('input#MsgBtnCancel').live("click", function () {
        $('#ErrorText').val();
        $('div.ErrorText').empty();
        $('div#ErrorForm').css('display', 'none');
        return false;
    });

    MainBanners = $('div#MainBannersBlock');
    LBanners = $('div#LBannersBlock');
    RBanners = $('div#RBannersBlock');
    TBanners = $('div#TBannersBlock');
    BBanners = $('div#BBannersBlock');

    // Загружаем главные баннеры
    if (MainBanners.size() != 0) {
        var _NavigateUrl = MainBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') MainBanners.remove();
        else MainBanners.append(_Content).find('a.BannerUrl').remove();
    }
    // Загружаем левую баннерную секцию
    if (LBanners.size() != 0) {
        var _NavigateUrl = LBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') LBanners.remove();
        else LBanners.append(_Content).find('a.BannerUrl').remove();
    }
    // Загружаем баннерную секцию над текстом
    if (TBanners.size() != 0) {
        var _NavigateUrl = TBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') TBanners.remove();
        else TBanners.append(_Content).find('a.BannerUrl').remove();
    }
    // Загружаем баннерную секцию под текстом
    if (BBanners.size() != 0) {
        var _NavigateUrl = BBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') BBanners.remove();
        else BBanners.append(_Content).find('a.BannerUrl').remove();
    }
    // Загружаем правую баннерную секцию
    if (RBanners.size() != 0) {
        var _NavigateUrl = RBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') LBanners.remove();
        else RBanners.append(_Content).find('a.BannerUrl').remove();
    }

    // Раскрывает карту сайта
    $('div.SiteMap div.dir img').live("click", function () {
        var $Block = $(this).parent();
        var _link = $(this).attr('title');
        var _BranchCount = $Block.children('div.BulletedList').length;

        if (_BranchCount > 0) {
            if ($Block.children('div.BulletedList').css('display') == 'block') $Block.children('div.BulletedList').css('display', 'none');
            else $Block.children('div.BulletedList').css('display', 'block');
        }
        else { $Block.append(AddContent(_link, 'div.BulletedList')); }
    });
});

$('div.FiltrBlock div.FiltrBtn').live("click", function () {
    $(this).parents().addClass('See');
});
$('div.FiltrBlock.See div.FiltrBtn').live("click", function () {
    $(this).parents().removeClass('See');
});

$('div.DataFiltrDop span').live("click", function () {
    $('div.DataFiltrDop span').css('color', '#424242');
    $(this).css('color', 'red');
    var myMonth = ['01','02','03','04','05','06','07','08','09','10','11','12'];
    
    var _SDate;
    var _EDate = viewDate(0);

    var _period = $(this).attr('title');
    if (_period == 'day') { _SDate = viewDate(-1); }
    else if (_period == 'week') { _SDate = viewDate(-7); }
    else if (_period == 'manth') { _SDate = viewDate(-30); }
    else if (_period == 'year') { _SDate = viewDate(-365); }

    var SDay = (_SDate.getDate() < 10) ? '0' + _SDate.getDate() : _SDate.getDate();
    var SManth = myMonth[_SDate.getMonth()];
    var SYear = _SDate.getFullYear();
    var EDay = (_EDate.getDate() < 10) ? '0' + _EDate.getDate() : _EDate.getDate();
    var EManth = myMonth[_EDate.getMonth()];
    var EYear = _EDate.getFullYear();
    
    $('div.DataFiltr input[id=ContentBody_StartDate_TextFild]').val(SDay + '.' + SManth + '.' + SYear);
    $('div.DataFiltr input[id=ContentBody_EndDate_TextFild]').val(EDay + '.' + EManth + '.' + EYear);
});

function GetError() {
    var selectText;

    if (window.getSelection) { selectText = window.getSelection().toString(); }
    else if (document.getSelection) { selectText = document.getSelection(); }
    else if (document.selection) { selectText = document.selection.createRange().text; }
    return selectText;
}

// Загружаем дополнительный контент с помощью AJAX
function AddContent(_ContentUrl, Object) {
    var Content = null;
    if (_ContentUrl != null) {
        $.ajax({
            async: false,
            url: _ContentUrl,
            error: function () {
                Content = 'Error';
            },
            success: function (data) {
                Content = $(data).find(Object);
            }
        });

    }
    return Content;
};

// Перехват нажатия клавиш клавиатуры
$(window).keydown(function (e) {
    //alert(e.keyCode);
    if (e.keyCode == 13) {
        if ($('div.FiltrBlock.See').size()) $('input#ContentBody_AddFiltr').trigger('click');
        else if ($('div.SerchText').vlue() != 'Поиск по сайту') $('input.SerchBtn').trigger('click');
    }
});


function viewDate(n)
{
    var nowe = new Date();
    var noweMili = nowe.getTime(); // количество милисекунд до текущего момента
 
    var nowePlus = new Date(1000*60*60*24*n); // количество дней до текущего момента + n
    var mili = nowePlus.getTime();
 
    var summaMili = noweMili + mili; // количество дней, которые пройдут до нужного нам момента
    var itog = new Date(summaMili);

    return itog;
};